discography:
- catalog: MCOL-0011
  date: '2016-11-04'
  link: album/62739
  reprint: false
  roles:
  - Composer
  - Arranger
  - Performer
  - Lyricist
  titles:
    en: 'Song Cycle: The History of Video Games'
    ja: 'Song Cycle: The History of Video Games'
    ja-latn: 'Song Cycle: The History of Video Games'
  type: cancel
- catalog: MCOL-0012
  date: '2016-11-04'
  link: album/62807
  reprint: false
  roles:
  - Composer
  - Arranger
  - Performer
  titles:
    en: 'Song Cycle: The History of Video Games (Karaoke Accompaniment)'
    ja: 'Song Cycle: The History of Video Games (Karaoke Accompaniment)'
    ja-latn: 'Song Cycle: The History of Video Games (Karaoke Accompaniment)'
  type: cancel
featured_on: []
info:
  Credited works: 2 albums in database
  Credits:
  - 2 composer
  - 2 arranger
  - 2 performer
  - 1 lyricist
link: artist/24729
meta:
  added_date: 2016-11-05T03:45
  edited_date: 2016-11-05T03:46
  fetched_date: 2025-12-07T19:56
  ttl: 86400
  visitors: 1019
name: Evan Witt
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/92/24729/24729-1478346358.jpg
picture_small: https://thumb-media.vgm.io/artists/92/24729/24729-1478346358.jpg
sex: male
type: Individual
vgmdb_link: https://vgmdb.net/artist/24729?perpage=99999
websites:
  Personal: []
